name: guru_app
description: A new Flutter project.
version: 3.0.0
homepage:

environment:
  sdk: ">=2.16.2 <4.0.0"
  flutter: ">=2.10.5"

dependencies:
  flutter:
    sdk: flutter

  firebase_core: 2.24.2
  firebase_crashlytics: 3.4.8
  firebase_analytics: 10.7.4
  firebase_remote_config: 4.3.8
  firebase_messaging: 14.7.9
  firebase_dynamic_links: 5.4.8
  firebase_auth: 4.15.3
  cloud_firestore: 4.13.6

  adjust_sdk: 4.36.0

  dio: 5.4.0
  retrofit: 4.0.3

  in_app_purchase: 3.1.11
  in_app_purchase_android: 0.3.0+15

  guru_popup:
    git:
      url: git@git.chengdu.pundit.company:castbox/guru_sdk.git
      path: guru_ui/packages/guru_popup
      ref: v3.0.0

  guru_utils:
    git:
      url: git@git.chengdu.pundit.company:castbox/guru_sdk.git
      path: guru_app/packages/guru_utils
      ref: v3.0.0

  guru_analytics_flutter:
    git:
      url: git@git.chengdu.pundit.company:castbox/guru_sdk.git
      path: guru_app/plugins/guru_analytics_flutter
      ref: v3.0.0

  guru_applovin_flutter:
    git:
      url: git@git.chengdu.pundit.company:castbox/guru_sdk.git
      path: guru_app/plugins/guru_applovin_flutter
      ref: v3.0.0

  guru_platform_data:
    git:
      url: git@git.chengdu.pundit.company:castbox/guru_sdk.git
      path: guru_app/plugins/guru_platform_data
      ref: v3.0.0

  guru_navigator:
    git:
      url: git@git.chengdu.pundit.company:castbox/guru_sdk.git
      path: guru_app/plugins/guru_navigator
      ref: v3.0.0

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^1.0.0
  mockito: 5.4.4
  guru_spec:
    path: packages/guru_spec

  build_runner: 2.4.7
  json_serializable: 6.7.1
  retrofit_generator: 8.0.5

dependency_overrides:

  guru_utils:
    path: packages/guru_utils

  guru_analytics_flutter:
    path: plugins/guru_analytics_flutter

  guru_platform_data:
    path: plugins/guru_platform_data

  guru_spec:
    path: packages/guru_spec

  guru_applovin_flutter:
    path: plugins/guru_applovin_flutter

#  guru_navigator:f
#    path: plugins/guru_navigator
#
#  guru_utils:
#    path: packages/guru_utils

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

# To add assets to your package, add an assets section, like this:
# assets:
#   - images/a_dot_burr.jpeg
#   - images/a_dot_ham.jpeg
#
# For details regarding assets in packages, see
# https://flutter.dev/assets-and-images/#from-packages
#
# An image asset can refer to one or more resolution-specific "variants", see
# https://flutter.dev/assets-and-images/#resolution-aware.

# To add custom fonts to your package, add a fonts section here,
# in this "flutter" section. Each entry in this list should have a
# "family" key with the font family name, and a "fonts" key with a
# list giving the asset and other descriptors for the font. For
# example:
# fonts:
#   - family: Schyler
#     fonts:
#       - asset: fonts/Schyler-Regular.ttf
#       - asset: fonts/Schyler-Italic.ttf
#         style: italic
#   - family: Trajan Pro
#     fonts:
#       - asset: fonts/TrajanPro.ttf
#       - asset: fonts/TrajanPro_Bold.ttf
#         weight: 700
#
# For details regarding fonts in packages, see
# https://flutter.dev/custom-fonts/#from-packages
flutter_intl:
  enabled: true
